Rivet::ParticleBase Class Referenceabstract

Base class for particle-like things like Particle and Jet. More...

`#include <ParticleBase.hh>`

Inheritance diagram for Rivet::ParticleBase:

## Classes

struct | byEAscending
| Struct for sorting by increasing energy. More...
struct | byEDescending
| Struct for sorting by decreasing energy. More...
struct | byETAscending
| Struct for sorting by increasing transverse energy. More...
struct | byETDescending
| Struct for sorting by decreasing transverse energy. More...
struct | byPTAscending
| Struct for sorting by increasing transverse momentum in STL set, sort, etc. More...
struct | byPTDescending
| Struct for sorting by decreasing transverse momentum in STL set, sort etc. More...

## Public Member Functions

virtual const FourMomentum & | momentum () const =0

## Detailed Description

Base class for particle-like things like Particle and Jet.

The documentation for this class was generated from the following file:

- include/Rivet/ParticleBase.hh